/*----------------------------------------------------------------------------*/
/* search_contact.h                                                          */
/* copyright (c) innovaphone 2023                                            */
/*                                                                           */
/*---------------------------------------------------------------------------*/

class ISearchContact {
public:
    virtual ~ISearchContact() {};
    virtual void SearchContact(const char* src, const char* number, const char* prefixIntl, const char* prefixNtl, const char* prefixExt, const char* country, const char* area, const char* subscriber) = 0;
    virtual void Close() = 0;
};

class USearchContact {
public:
    virtual void SearchContactResult(const char* src, class json_io& msg, word base) = 0;
    virtual void SearchContactCloseResult() = 0;
};
